Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.utils
Class Punycode

    java.lang.Object
      org.apache.http.client.utils.Punycode

    @Immutable
    public class Punycode

extends Object

Facade that provides conversion between Unicode and Punycode domain names. It will use an appropriate implementation.

Since:
  4.0

Constructor Summary
`Punycode()`

Method Summary
`static String` | `toUnicode(String punycode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Punycode

    public Punycode()

Method Detail

### toUnicode

    public static String toUnicode(String punycode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.